Retrieve a Status list
Deprecated
Roles
Analytics Events
/v2/credentials/mobile/status-lists/{statusListId}Retrieves an existing Status list and its signed token by providing its ID.
Analytic events
- MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_START
- MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_SUCCESS
- MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Status list unique identifier
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/mobile/status-lists/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6",
"statusListConfigurationId": "0bd642d3-4a3b-4ce2-9f8f-151a73becaae",
"listSize": "100_000",
"list": "0oRZAu6jEHRtYXR0ci1zdGF0dXNs..."
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve all Status lists GET
<Callout type="warning"> **Deprecated.** In line with our SLA, this endpoint will be removed no earlier than 22 September 2026. To discover the Status lists available on a tenant, use the public [Status list distribution](#operation/getStatusListDistribution) endpoint (`GET /v2/credentials/mobile/status-lists/distribution`), which returns the URLs of all Status list tokens on the tenant. To retrieve an individual Status list token, use the public [Retrieve a Status list token](#operation/getStatusListToken) endpoint (`GET /v2/credentials/mobile/status-lists/{statusListId}/token`). </Callout> Retrieves all existing status lists from your tenant. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_LIST_START * MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_LIST_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_LIST_FAIL
Retrieve a Status list token GET
Retrieves the Status list token in CWT format. This public endpoint returns a token which contains a compressed, signed list of credential statuses. Relying parties can use this token to check the revocation status of an mDoc that references this Status list. This endpoint is intended for public consumption, and as such does not require authentication. **Token Format Differences**: The token structure depends on the Status List configuration format: **Draft 14 of the IETF Token Status List specification**: - Token header `typ`: `application/statuslist+cwt` - CBOR payload claims: `65533` (status_list), `65534` (ttl) - Status encoding: 1-bit (Valid/Invalid) **Legacy format**: - Token header `typ`: `mattr-statuslist+cwt` - CBOR payload claims: `-65538` (status_list), `-65539` (ttl) - Status encoding: 2-bit (Valid/Invalid/Suspended) ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_TOKEN_RETRIEVE_START * MOBILE_CREDENTIAL_STATUS_LIST_TOKEN_RETRIEVE_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_TOKEN_RETRIEVE_FAIL